## tcputils 0.6.2

=== Makefile ===
# Linux RedHat 5.0 has header files that generates warnings when compiling
# with -pedantic, so we leave that out per default.
CC = gcc -Wall #-pedantic
INCLUDE-FLAGS =
COPT = -g -O2
LDFLAGS = ${COPT}
CFLAGS = ${COPT} ${INCLUDE-FLAGS}
RANLIB = ranlib
INSTALL = install -c
MKDIR_P = mkdir -p
# Solaris 2 needs to link with "-lsocket -lnsl".  For other unices you might
# need to comment out those libraries.
NETLIBS = -lsocket -lnsl

# Where to install things.
prefix = /usr/local
bindir = ${prefix}/bin
mandir = ${prefix}/man
man1dir = ${mandir}/man1


# ------------------------------------------------------------------
# Things below shouldn't be needed to be changed in order to compile


SUBMAKE = ${MAKE} prefix="${prefix}" CC="${CC}" CFLAGS="${CFLAGS}" AR="${AR}" \
	  RANLIB="${RANLIB}" INSTALL="${INSTALL}" VPATH="${VPATH}" ${MFLAGS}

IPLIB = ip/libiphelp.a


PROGRAMS = tcpconnect tcplisten tcpbug mini-inetd getpeername
MANUALS1 = tcpconnect.1 tcplisten.1 tcpbug.1 mini-inetd.1 getpeername.1


all: ${IPLIB} ${PROGRAMS}


tcpconnect: tcpconnect.o relay.o
	${CC} ${LDFLAGS} $^ ${IPLIB} ${NETLIBS} -o $@
tcplisten: tcplisten.o relay.o
	${CC} ${LDFLAGS} $^ ${IPLIB} ${NETLIBS} -o $@
tcpbug: tcpbug.o relay.o
	${CC} ${LDFLAGS} $^ ${IPLIB} ${NETLIBS} -o $@
mini-inetd: mini-inetd.o
	${CC} ${LDFLAGS} $^ ${IPLIB} ${NETLIBS} -o $@
getpeername: getpeername.o
	${CC} ${LDFLAGS} $^ ${NETLIBS} -o $@

${IPLIB}:
	cd ip; ${SUBMAKE} all

clean:
	${RM}  ${PROGRAMS} *.o *~ core
	cd ip; ${SUBMAKE} clean

install: install-bin install-man

install-bin: ${bindir} #${PROGRAMS}
	${INSTALL} ${PROGRAMS} ${bindir}

install-man: ${man1dir} #${MANUALS1}
	${INSTALL} ${MANUALS1} ${man1dir}

install-lib:
	cd ip; ${SUBMAKE} install

${bindir}:; ${MKDIR_P} $@
${man1dir}:; ${MKDIR_P} $@


${PROGRAMS}: ${IPLIB}
tcpconnect.o: ip/ip_misc.h relay.h
tcplisten.o: ip/ip_misc.h relay.h
tcpbug.o: ip/ip_misc.h relay.h
mini-inetd.o: ip/ip_misc.h
relay.o: relay.h
getpeername.o:

=== ip/Makefile ===
OBJECTS = addr.o tcp_connect.o tcp_open.o tcp_listen.o
IPLIB = libiphelp.a

CC = gcc -pedantic -Wall
COPT = -g -O2
CFLAGS = ${COPT}
RANLIB = ranlib

all: ${IPLIB}

${IPLIB}: ${OBJECTS}
	${AR} ruv $@ ${OBJECTS}
	${RANLIB} $@

clean:
	${RM} *.o ${IPLIB} *~ *_pure_*

install:
	${INSTALL} ${IPLIB} ${prefix}/lib
	${INSTALL} ip_misc.h ${prefix}/include


tcp_connect.o: ip_misc.h
tcp_open.o: ip_misc.h
tcp_listen.o: ip_misc.h
addr.o: ip_misc.h

=== debian/changelog ===
tcputils (0.6.2-10) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format
  * Convert Debian changes to patches
  * Bump Standards-Version to 3.9.6
  * Add .gitignore
  * Use debhelper 9
  * Add watch file
  * Enable hardening
  * Add man pages for binaries
  * Fix unescaped minus in tcpbug man page
  * Fix ioctl argument type in relay.c (closes: #780196)

 -- Joel Rosdahl <joel@debian.org>  Sun, 10 May 2015 22:43:57 +0200

tcputils (0.6.2-9) unstable; urgency=low

  * Fixed parsing of hostnames on 64-bit architecture. Patch from Will
    Day. Closes: bug#456239.
  * Standards-Version 3.7.3.

 -- Joel Rosdahl <joel@debian.org>  Sat, 29 Dec 2007 11:23:59 +0100

tcputils (0.6.2-8) unstable; urgency=low

  * Converted debian/copyright to UTF-8.

 -- Joel Rosdahl <joel@debian.org>  Tue, 24 Apr 2007 09:29:30 +0200

tcputils (0.6.2-7) unstable; urgency=low

  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  * Use debhelper compatibility 5.
  * Upgraded to Standards-Version 3.7.2.
  * Remove obsolete national encoding in debian/changelog.

 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:18:55 +0200

tcputils (0.6.2-6) unstable; urgency=low

  * Standards-Version 3.5.9.
  * Update maintainer field in control file.

 -- Joel Rosdahl <joel@debian.org>  Fri, 28 Mar 2003 15:00:21 +0100

tcputils (0.6.2-5) unstable; urgency=low

  * New maintainer.
  * Standards-Version 3.5.8.
  * Debhelper 3 compatibility.
  * Don't include upstream installation documentation.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jan 2003 22:25:08 +0100

tcputils (0.6.2-4) unstable; urgency=low

  * Upgraded to Standards-Version 3.0.1
  * Uses debhelper

 -- Bjorn Brenander <bjorn@debian.org>  Mon, 28 May 2001 22:49:11 +0200

tcputils (0.6.2-3) frozen unstable; urgency=low

  * Fixed porting obstacle in relay.c, found by Marcus Brinkmann, with
    help from upstream maintainer.  (Fixes #55366)
  * Distribution now includes .orig.tar.gz source package. (Fixes #44250)
  * Documentation and manpages now reside in /usr/share.

 -- Bjorn Brenander <bjorn@debian.org>  Sun, 23 Jan 2000 18:02:46 +0100

tcputils (0.6.2-2) unstable; urgency=low

  * Set architecture to "any" again.  Thanks to Roman Hodek for pointing
    this error out. (Fixes #32111)

 -- Bjorn Brenander <bjorn@debian.org>  Tue, 19 Jan 1999 19:20:33 +0100

tcputils (0.6.2-1) unstable; urgency=low

  * New upstream version
  * Changed Architecture to i386

 -- Bjorn Brenander <bjorn@debian.org>  Mon,  4 Jan 1999 14:47:16 +0100

tcputils (0.6.1-1) unstable; urgency=low

  * Initial Release.

 -- Bjorn Brenander <bjorn@debian.org>  Tue, 14 Apr 1998 23:36:24 +0200

=== debian/control ===
Source: tcputils
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)

Package: tcputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for TCP programming in shell-scripts
 This is a collection of programs to facilitate TCP programming
 in shell-scripts.  There is also a small library which makes it
 somewhat easier to create TCP/IP sockets.
 .
 The programs included in this release are:
 .
     mini-inetd  - small TCP/IP connection dispatcher
     tcpbug      - TCP/IP connection bugging device
     tcpconnect  - general TCP/IP client
     tcplisten   - general TCP/IP server
     getpeername - get name of connected TCP/IP peer

=== debian/watch ===
version=3
ftp://ftp.lysator.liu.se/pub/unix/tcputils/tcputils-(.*)\.tar\.gz

## tcputils 0.6.2+git20120127.c28952d

=== debian/changelog ===
tcputils (0.6.2+git20120127.c28952d-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Latest commit from upstream
  * Maintain package in Debian team
  * Add Homepage
    Closes: #1082037
  * debhelper-compat = 13
  * DEP3
  * Drop unneeded debian/dirs
  * Propagate hardening options
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Wed, 05 Mar 2025 11:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: tcputils
 Section: net
 Priority: optional
-Maintainer: Joel Rosdahl <joel@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Joel Rosdahl <joel@debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13)
+Vcs-Browser: https://salsa.debian.org/debian/tcputils
+Vcs-Git: https://salsa.debian.org/debian/tcputils.git
+Homepage: https://git.lysator.liu.se/tcputils/tcputils
 
 Package: tcputils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tcputils/usr man1dir=$(CURDIR)/debian/tcputils/usr/share/man/man1

=== debian/watch ===
version=4

opts="mode=git,pretty=0.6.2+git%cd.%h" \
    https://git.lysator.liu.se/tcputils/tcputils.git HEAD
